<?xml version="1.0" encoding="ISO-8859-1"?>
<document>
<head>
    <name url="dependencies.html">Third Party Library Dependencies</name>
    <doc-version>$Date: 2003/10/03 16:57:36 $</doc-version>
</head>
<body>

<P>
GroboUtils has dependencies upon the following library files.  The
library files should have been included in the distribution.
</P>

<P>
<UL>
    <definition-link term="Ant v1.6beta1"
        href="http://jakarta.apache.org/ant/index.html">
    Java-based build tool.
    From the Apache Jakarta project, covered under the
    <a href="http://jakarta.apache.org/ant/manual/LICENSE">Apache license</a>.
    </definition-link>
    <definition-link term="BCEL v5.1"
        href="http://jakarta.apache.org/bcel/index.html">
    Java class file parser.
    From the Apache Jakarta project, covered under the
    <a href="http://jakarta.apache.org/bcel/license.html">Apache license</a>.
    The binary release for 5.1 was compiled on JDK 1.4, and included some
    JDK 1.4-specific API (inadvertantly:
    <tt>StringBuffer.append( StringBuffer )</tt>).  The one used by GroboUtils
    is a custom-built version, pulled from the Apache CVS server.
    </definition-link>
    <definition-link term="EasyMock v0.8"
        href="http://www.easymock.org">
    Framework for creating mock objects with the JDK 1.3 proxies.
    It is covered under <a href="http://www.easymock.org/license.html">an
    MIT-like license</a>.
    </definition-link>
    <definition-link term="JUnit v3.8.1"
        href="http://www.junit.org/index.htm">
    Java unit test framework.
    Covered under the <a
    href="http://oss.software.ibm.com/developerworks/opensource/license10.html">
    IBM public license</a>.
    </definition-link>
    <definition-link term="Log4J v1.2.8"
        href="http://jakarta.apache.org/log4j/index.html">
    Logging framework.
    From the Apache Jakarta project, covered under the
    <a href="http://jakarta.apache.org/ant/manual/LICENSE">Apache license</a>.
    </definition-link>
    <definition-link term="MockObjects v0.4rc1"
        href="http://www.mockobjects.com">
    Mock Object testing framework.
    Covered under the <a href="http://www.mockobjects.com/license.html">Apache
    license</a>.
    </definition-link>
    <!--
    <definition-link term="MockMaker v1.08"
        href="http://mockmaker.sourceforge.net">
    Mock Object generator.
    Covered under <a href="http://mockmaker.sourceforge.net/license.html">
    their own license</a>.
    </definition-link>
    -->
    <!-- sax??? -->
    <definition-link term="Xalan v2.5.1"
        href="http://xml.apache.org/xalan-j/index.html">
    Used for documentation generation through Ant.
    Covered under the
    <a href="http://jakarta.apache.org/ant/manual/LICENSE">Apache license</a>.
    </definition-link>
    <definition-link term="Xerces v2.4.0"
        href="http://xml.apache.org/xerces-j/index.html">
    Used as the XML parser when running Ant and other XML-related packages.
    Covered by the
    <a href="http://jakarta.apache.org/ant/manual/LICENSE">Apache license</a>.
    </definition-link>
    <definition-link term="XML4j v2.0.4"
        href="http://www-4.ibm.com/software/webservers/appserv/doc/v35/ae/apidocs">
    Used for compatibility with old parsers.  This may be removed in favor of
    the JAXP interface.  Covered by the IBM Public License, version 0.5.
    </definition-link>
</UL>
</P>

</body>
</document>

